Subject: Re: [PATCH] vmxnet3: disable rx data ring on dma allocation failure

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 May 2024 15:17:49 -0700

On Thu, 30 May 2024 16:00:22 +0000 Matthias Stocker wrote:
> Whereas when I reverted the above mentioned commit 6f4833383e85 ("net:
> vmxnet3: Fix NULL pointer dereference and applied the patch I've
> submitted earlier, then everything seemed to work perfectly fine even
> with those allocations failing.
> 
> I assume that setting rq->data_ring.desc_size to zero in
> vmxnet3_rq_destroy_all_rxdataring is also needed for the data_ring that
> faild to allocate its base. Otherwise it will later on be handed over
> to Vmxnet3_RxQueueConf->rxDataRingDescSize in the function
> vmxnet3_setup_driver_shared thus allowing to reference the data_ring of
> this rx_queue, but I didn't have time to pursue it any further.

I see, the new stack trace makes sense.
I'm guessing hypervisor decides whether feature is enabled or not based
on the ring size, not the ring address.

Please respin with the updated commit message (stack trace, Fixes tag,
explanation).